<form class="form-horizontal" role="form">
  
  <ul class="nav nav-tabs">
    <li><a href="#desc" data-toggle="tab">Description</a></li>
    <!-- ko if: libraryName() == '' && isEditable()  -->
    <li><a href="#configure" data-toggle="tab">Paramétrage</a></li>
    <!-- /ko -->
    <!-- ko if: appViewModel.user.isAdmin()  -->
    <li><a href="#sso" data-toggle="tab">SSO</a></li>
    <!-- /ko -->
  </ul>

  <div class="tab-content">
      <div class="tab-pane active" id="desc">
    <table>
    <tr>

    <td class="logo">

        <div class="img"> </div>
        <canvas id="myCanvas" style="display:none"/>

        <span data-bind="visible: isEditable()" class="btn btn-success fileinput-button">
            <i class="icon-plus icon-white"></i>
            <span>Changer le logo</span>
             <!-- The file input field used as target for the file upload widget -->
            <input id="fileupload" type="file" accept="image/*"  name="files[]">
            <input type="hidden"   field="logo" data-bind="value: logoUrl()" >
        </span>
        
    </td>

    <td>

     <div class="form-group">
        <label for="url" class="col-sm-2 control-label">URL de l'éditeur</label>
        <div class="col-sm-10">
        <table>
            <tr>
                <td>
                    <input  type="text" class="form-control url" id="url"  field="url" name="url" 
                           required data-validation-required-message="à renseigner"
                           placeholder="URL du site web de la ressource" data-bind="visible:  isEditable(),value: data.url">
                <div data-bind="visible: ! isEditable(),text: data.url"></div>
                </td>
                <td>&nbsp;&nbsp;&nbsp;</td>
                <td>
                    <button type="button" data-toggle="tooltip" data-placement="bottom" title="Voir le site" class="btn btn-primary" 
                                     data-bind="click: apercu">
                                <i class="fa fa-eye"></i>
                    </button>
                    <button type="button" class="btn btn-primary"  id="fetching-logo-btn"
                             data-toggle="tooltip" data-placement="bottom" title="Capturer une image du site"
                             data-loading-text="<i class='fa fa-spinner fa-spin'></i> Capture en cours"
                            data-bind="click: fetch_logo,visible:  isEditable() && appViewModel.user.data.canfetchimage"><i class="fa fa-camera"></i></button>
                    <button type="button" class="btn btn-primary"  id="fetching-btn"
                            data-toggle="tooltip" data-placement="bottom" title="Récupérer les informations du site"
                            data-loading-text="Veuillez patienter..." 
                            data-bind="click: fetch,visible:  isEditable()">Récupérer les infos</button></td>
            </tr>
        </table>
        </div>
      </div>    

      <?php include_once("common.php"); ?>
        
    <div class="form-group">
        <label for="context" class="col-sm-2 control-label">Thème</label>
        <div class="col-sm-10">
            
           <!-- ko if: isEditable() -->
           <select class="chosen-select" field="category" 
                                         data-bind="
                                            options: appViewModel.whCategories.children,
                                            optionsText: 'name',
                                            optionsValue: 'id',selectedOptions: categoryId">
            </select>
            <!-- /ko -->
            <div data-bind="visible: ! isEditable(),text: categoryName"></div>
        </div>
     </div>

      <div class="form-group" id="select_catalogue">
        <label for="catalogue" class="col-sm-2 control-label">Catalogue</label>
        <div class="col-sm-10">
           <!-- ko if: isEditable() -->
          <select class="form-control chosen-select" id="catalogue"  
                  field="catalogue" 
                  data-bind="options: appViewModel.cataloguesWritable,
                             optionsText: 'name',
                             optionsValue: 'id',
                             optionsCaption: 'Aucun',
                             selectedOptions: catalogueId" >
          </select>
           <!-- /ko -->
          <div data-bind="visible: ! isEditable(),text: catalogueName"></div>  
        </div>
      </div>

      <div class="form-group" data-bind="visible: hasLibrary()">
        <label for="library" class="col-sm-2 control-label">Bibliothèque</label>
        <div class="col-sm-10">
          <input type="hidden" class="form-control" id="library"  field="library" data-bind="value:data.library_id" >
          <span data-bind="text: libraryName"> </span>
        </div>
      </div>
  
        </td>

        </tr>
        </table>
</div>
   
 <!-- ko if: libraryName() == ''  && isEditable() -->      
<div class="tab-pane" id="configure">    
  <div class="form-group">
    <label for="urlaccess" class="col-sm-2 control-label">URL d'accès</label>
    <div class="col-sm-10">
        Veuillez saisir ci-dessous l'url d'accès. 
        <input  type="text" class="form-control urlaccess" name="urlaccess" id="urlaccess"  field="urlaccess"  placeholder="url complète de la ressource" data-bind="value:data.urlaccess, event {keyup:onUrlAccessChange}">
        Dans cette URL les éléments entre parenthèses () seront considérés comme des paramètres qu'il faudra renseigner lors de l'ajout de la ressource à une bibliothèque.<br/>
        Les paramètres entre crochets [] seront recherchés dans les paramètres de configuration.
    </div>
  </div> 
    
  <div class="form-group">
     <label for="" class="col-sm-2 control-label"></label> 
      
      <div class="col-sm-10" data-bind="visible: params().length > 0">
          Ci-dessous la liste des paramètres rertouvés dans l'url d'accès
     <table data-bind="foreach: params" class="table table-striped table-bordered">
        <tr>
            <td data-bind="text: $data"></td>
        </tr>
      </table>
     </div>
      
      <div class="col-sm-10" data-bind="visible: params().length == 0">
          Aucun paramètre trouvé dans l'url
     </div>
      
      
  </div>
    
   <!--  -->
   <div class="form-group" id="select_catalogue">
        <label for="ressource" class="col-sm-2 control-label">Dépend de la ressource</label>
        <div class="col-sm-10">
          <select class="form-control" id="ressource"  
                  field="ressource" 
                  data-bind="options: appViewModel.ressources,
                            optionsText: 'name',
                            optionsValue: 'id',
                            optionsCaption: '',
                            selectedOptions: ressourceId" >
          </select>
        </div>
 </div>
    
    
    
</div>
<!-- /ko -->
      
    <!-- ko if: appViewModel.user.isAdmin()  -->
    <div class="tab-pane" id="sso">   
        
        <div class="form-group">
            <label for="sso_attr" class="col-sm-2 control-label">Attributs SSO</label>
            <div class="col-sm-10">
              <textarea  rows="10" class="form-control" id="sso_attr"  field="sso_attr"  placeholder="description" data-bind="text: data.sso_attr"></textarea>
            </div>
        </div>
    
    </div>
    <!-- /ko -->
      
</div>    

  
</form>
